## statsmodels 0.9.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
TOOLSPATH	  = ../tools/
DATASETBUILD  = dataset_rst.py
EXAMPLEBUILD  = examples_rst.py
NOTEBOOKBUILD = nbgenerate.py
FOLDTOC  = fold_toc.py

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/generated/
	-rm -rf source/generated/examples/notebooks/
	-rm -rf source/dev/generated/
	-rm -rf ../examples/executed/

cleanall: clean cleancache

cleancache:
	-rm source/examples/generated/*
	-rm -rf source/examples/notebooks/generated/*
	-rm -rf ../tools/hash_dict.pickle
	-rm -rf source/datasets/generated/*

notebooks:
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --execute=True --allow_errors=True

html:
    # make directories for images
	@echo "Make static directory for images"
	mkdir -p $(BUILDDIR)/html/_static
	# generate the examples rst files
	@echo "Generating reST from examples folder"
	#$(TOOLSPATH)$(EXAMPLEBUILD)
	@echo "Generating datasets from installed statsmodels.datasets"
	$(TOOLSPATH)$(DATASETBUILD)
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --parallel --report-errors --skip-existing
	@echo "Running sphinx-build"
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "Copying rendered example notebooks"
	mkdir -p $(BUILDDIR)/html/examples/notebooks/generated
	cp source/examples/notebooks/generated/*html $(BUILDDIR)/html/examples/notebooks/generated
	#$(TOOLSPATH)$(EXAMPLEBUILD)
	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
	#$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/examples/index.html ../_static
	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/esip.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/esip.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/esip"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/esip"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	./fix_longtable.py $(BUILDDIR)
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	./fix_longtable.py $(BUILDDIR)
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
statsmodels (0.9.0-6ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 22:24:26 -0700

statsmodels (0.9.0-6) unstable; urgency=medium

  * Don't change global pickle settings,
    as this can break unrelated code.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 20 Sep 2019 19:23:49 +0100

statsmodels (0.9.0-5) unstable; urgency=medium

  * Update import paths to be compatible with scipy 1.3.
  * Xfail another KalmanFilter test on armhf (#924036).
  * Mark -lib packages Multi-Arch: same.
  * Delete unused patches, document patches upstream status.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 15 Sep 2019 21:50:15 +0100

statsmodels (0.9.0-4) experimental; urgency=medium

  * Loosen singularity detection threshold of VAR model.
  * Make KalmanFilter warning (#924036) work on multiarch arm64/armhf
    and xfail some more related tests.
  * Adapt TestLagmat.test_unknown_trim to work with newer numpy.
  * Loosen TestMultivariateVARUnivariate tolerances on i386.
  * Xfail TestHoltWinters.test_forecast (like upstream).
    Together, the above Closes: #938949.
  * Use Breaks+Replaces for examples move to -doc.  Closes: #938995.
  * Remove no longer needed s390x xfails/warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 14 Sep 2019 10:38:33 +0100

statsmodels (0.9.0-3) experimental; urgency=medium

  * Upload to experimental, as 0.9 is an API break (see #931540).
  * Merge 0.8.0-9 packaging into 0.9.  Drop patches no longer needed,
    refresh others.
  * Revert "Disable KalmanFilter on armhf" as it never actually
    worked (see #924036 / LP#1819227).  Instead,
    warn on use and xfail the tests.
  * Add self to Uploaders.
  * Tests now use pytest: add build-dependencies, adapt autopkgtest.
  * Remove test skips that are no longer needed.
  * Change s390x test skips to xfails (to check whether they are
    still needed), and warn if l1_cvxopt_cp is used on s390x.
  * Fix issues due to newer versions of dependencies:
    - AnovaRM column order
    - various issues within test code
  * Fix midrule bug in LaTeX summary output.
  * Clean up stray whitespace.
  * Fix typos.
  * Clarify -lib description.
  * Use https in links, and update Homepage.
  * Update and sort d/copyright.
  * Bump Standards-Version to 4.4.0 (no changes needed).
  * Give a more useful error if cvxopt is not available.
  * Use debhelper-compat.
  * Move examples to the -doc package.
  * Remove obsolete symlink, add symlinks to ease finding docs.
  * Strip timestamps and build paths for reproducibility.
  * Deduplicate documentation images.
  * Fix/improve nocheck/nodoc dependency marking.
  * Categorize build-dependencies.
  * Make -doc Suggest the Python 3 version.
  * Run the R-using examples.
  * Use data from R packages for building examples, instead of
    embedding a copy.  Modify one example to not need r-cran-count.
  * Set Rules-Requires-Root: no.
  * Remove outdated cythonized-files.
  * Don't use pickle for get_rdataset caching, as it is a security hole
    if the cache is shared.  (This invalidates existing cached data;
    it will automatically be re-downloaded if needed.)
  * Warn that load_pickle is for trusted files only.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 30 Aug 2019 07:48:41 +0100

statsmodels (0.8.0-9ubuntu1) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 02:44:08 +0000

statsmodels (0.8.0-9) unstable; urgency=medium

  * Team upload.
  * Disable KalmanFilter on armhf, as it gives wrong results
    (and probably always has).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Mar 2019 14:59:35 +0000

statsmodels (0.8.0-8) unstable; urgency=medium

  * Team upload.
  * Remove outdated information from description.
  * Use sphinx.ext.mathjax rather than no-longer-existing pngmath.
    This also fixes equation display  Closes: #687301
  * Fix spelling.
  * Fix remote -> local requirejs substitution.
  * Use text instead of fetching a logo.
  * Make dataset caching work in Python 3.
  * Extend use_cached_datasets to build more of the examples.
  * Fix path and data layout exceptions in examples.
  * Re-enable build-time tests, and clean up files they leave behind.
  * Use upstream tests as autopkgtest.
  * Move metadata to d/u/metadata, update and extend it.
  * Update d/copyright.
  * Fix exceptions due to newer versions of dependencies:
    - "no attribute 'chisqprob'" in discrete_model
    - "shape mismatch...could not be broadcast" in imputation
    - "ufunc 'gammaln' not supported" in discrete_model
    - "object arrays are not supported" in tsa.statespace
    - "module 'pandas' has no attribute 'ols'" in tsa.vector_ar
    - various IndexErrors in KaplanMeier  Closes: #860449
    - "unexpected keyword argument 'format'" in datasets.co2
    - UnicodeDecodeError in parse_lutkepohl_data
    - various issues within test and example code
  * Backport the following from experimental:

  [ Julian Taylor ]
  * Use python3 also for fold_toc.py
  * Use fixed locale for documentation build

  [ Andreas Tille ]
  * hardening=+all
  * Use libjs-mathjax
  * Extend description of -doc package
  * Remove matplotlib.sphinxext.only_directives option which is
    not used.  Closes: #917754
  * Do not try to access remote locations on buildtime test
    Closes: #882641

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 01 Mar 2019 22:49:09 +0000

statsmodels (0.9.0-2) experimental; urgency=medium

  * Team upload.
  * Version 0.9 closes: #880245
  * Remove matplotlib.sphinxext.only_directives option which is not used
    Closes: #917754
  * Do not try to access remote locations on buildtime test
    Closes: #882641
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Wed, 13 Feb 2019 09:27:21 +0100

statsmodels (0.9.0-1) experimental; urgency=medium



=== debian/control ===
Source: statsmodels
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Diane Trout <diane@ghic.org>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               sphinx-common,
               dh-python (>= 3.20180313~),
               cython3,
               python3-all-dev,
               python3-colorama <!nocheck> <!nodoc>,
               python3-dateutil <!nocheck> <!nodoc>,
               python3-cvxopt <!nocheck> <!nodoc>,
               python3-matplotlib,
               python3-numpy,
               python3-nose <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pandas,
               python3-patsy <!nocheck> <!nodoc>,
               python3-scipy,
               python3-setuptools,
               python3-tk <!nocheck> <!nodoc>,
               python3-joblib <!nocheck> <!nodoc>
Build-Depends-Indep: ipython3 (>= 5~) <!nodoc> | ipython3-notebook <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-jupyter-client <!nodoc>,
                     python3-ipykernel <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-traitlets <!nodoc> | ipython3-notebook <!nodoc>,
                     jdupes <!nodoc>,
# for intersphinx inventories
                     python-numpy-doc <!nodoc>,
                     python-patsy-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python3-doc <!nodoc>,
# for the comparing-with-R examples, and example datasets
                     r-base-core <!nodoc>,
                     python3-rpy2 <!nodoc>,
                     r-cran-cardata <!nodoc> | r-cran-car (<< 3.0~) <!nodoc>,
                     r-cran-geepack <!nodoc>,
                     r-cran-guerry <!nodoc>,
                     r-cran-lme4 <!nodoc>,
                     r-cran-mass <!nodoc>,
                     r-cran-robustbase <!nodoc>,
                     r-cran-vcd <!nodoc>,
                     pandoc <!nodoc>
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
Homepage: https://www.statsmodels.org

Package: python-statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-requirejs,
         libjs-mathjax
Suggests: python3-statsmodels,
          python3-doc,
          python-numpy-doc,
          python-patsy-doc,
          python-pandas-doc,
          python-scipy-doc
Breaks: python-scikits-statsmodels-doc,
        python-scikits.statsmodels-doc,
        python-statsmodels (<< 0.9.0-3~)
Replaces: python-scikits-statsmodels-doc,
          python-scikits.statsmodels-doc,
          python-statsmodels (<< 0.9.0-3~)
Description: documentation and examples for statsmodels
 Statsmodels Python modules are providing classes and functions for
 the estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.
 .
 This package contains HTML documentation and example scripts for
 python-statsmodels.

Package: python3-statsmodels
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-statsmodels-lib (>= ${source:Version}),
         python3-patsy,
         python3-pandas
Recommends: python3-matplotlib,
            python3-joblib,
            python3-colorama,
            python3-cvxopt
Suggests: python-statsmodels-doc
Provides: ${python3:Provides}
Description: Python3 module for the estimation of statistical models
 statsmodels Python3 module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python3-statsmodels-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy
Description: Python3 low-level implementations and bindings for statsmodels
 Statsmodels is a Python module for the estimation of statistical models.
 .
 This package contains internal libraries for python3-statsmodels.  Users
 should not need to install it directly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

export PY3VER=$(shell py3versions -vd)
SOURCE_DATE:=$(shell date -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
SOURCE_TIME:=$(shell date -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")

export PYBUILD_NAME=statsmodels
export PYBUILD_INSTALL_ARGS=--install-layout=deb

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# To guarantee HOME existence with mpl 1.3.0
# See https://github.com/matplotlib/matplotlib/issues/2300
#     https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
$(HOME):
	mkdir "$@"
	: # Hardcode backend to Agg to avoid doc build and tests failures
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc

override_dh_auto_build-arch: $(HOME)
	dh_auto_build

override_dh_auto_build-indep: $(HOME)
	: # Documentation depends on built package
	dh_auto_build
	: # I: Generate documentation
	: # Build Documentation -- assure existence of build/html for nodoc
	: # Reproducibility: stopping the clock (or slowing it down enough to get all 00:00:00) with faketime (near-)hangs in glm_weights.ipynb
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 debian/datasets/prepopulate_cache.py
	http_proxy=127.0.0.1:9 \
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	BUILDDIR=$(CURDIR)/build \
	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
	 LC_ALL=C.UTF-8 make -C docs html
	mv docs/build/* build/
	: # Fix up links to MathJax to be local
	grep -l '/mathjax/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.org/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
	: # Replace require
	grep -l '/require\.js/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/require.js/.*/require.min.js,file:///usr/share/javascript/requirejs/require.min.js,g'
	grep -l '/jquery/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/jquery/.*/jquery.min.js,file:///usr/share/javascript/jquery/jquery.min.js,g'
	: # replace timestamps and build paths in examples output for reproducibility
	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
	    -e 's#\(Date:.*\)[A-Z][a-z]+, +[0-9]+,? +[A-Z][a-z]+,? +[0-9]+#\1$(SOURCE_DATE)#g' \
	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
	done
endif

override_dh_installdocs:
	rm -rf docs/source/generated/
	dh_installdocs
	for html in `find debian -name "*.html"` ; do \
	    sed -i 's#https://cdnjs\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' $${html} ; \
	    sed -i 's#https://cdnjs\..*/mathjax/.*/latest.js#file:///usr/share/javascript/mathjax/unpacked/latest.js#' $${html} ; \
	done

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf cythonize.dat \
	       *.egg-info \
	       *.png \
	       build/Rtmp build/datacache \
	       docs/build/ \
	       docs/rehab.table \
	       docs/salary.table \
	       docs/source/datasets/generated \
	       docs/source/dev/generated \
	       docs/source/datasets/statsmodels.datasets.*.rst \
	       docs/source/examples/notebooks/generated \
	       examples/executed \
	       statsmodels/tsa/statespace/_statespace.pyx \
	       statsmodels/tsa/regime_switching/_hamilton_filter.pyx \
	       tools/hash_dict.pickle
	: # Remove autogenerated version.py
	rm -f statsmodels/version.py

override_dh_install:
	dh_install
	: # Remove compiled due to testing files
	find debian -name *.pyc -delete
	rm -f debian/*/usr/lib/*/dist-packages/enet_poisson.csv debian/*/usr/lib/*/dist-packages/enet_binomial.csv
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv -Xobjects.inv

override_dh_link:
	: # deduplicate images - the ||true is because we only build-depend on jdupes if we're building documentation
	jdupes -r -l debian/python-statsmodels-doc/usr/share/doc || true
	dh_link

## move binary libraries into -lib
override_dh_auto_install:
	dh_auto_install
	for PACKAGE_NAME in python3-statsmodels; do \
	  for lib in $$(find debian/$${PACKAGE_NAME}/usr -name '*.so'); do \
	     sdir=$$(dirname $$lib) ; \
	     tdir=debian/$${PACKAGE_NAME}-lib/$${sdir#*$${PACKAGE_NAME}/} ; \
	     mkdir -p $$tdir ; \
	     echo "I: Moving '$$lib' into '$$tdir'." ; \
	     mv $$lib $$tdir ; \
	  done ; \
	done
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/python3-statsmodels/python3-scikits.statsmodels/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done
	dh_numpy3

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.txt" -exec chmod -x \{\} \;

## statsmodels 0.10.1

=== requirements.txt ===
numpy>=1.11
scipy>=0.18
pandas>=0.19
patsy>=0.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = statsmodels
SOURCEDIR     = source
BUILDDIR      = build

PAPER         =
TOOLSPATH	  = ../tools/
DATASETBUILD  = dataset_rst.py
EXAMPLEBUILD  = examples_rst.py
NOTEBOOKBUILD = nbgenerate.py
FOLDTOC  = fold_toc.py

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)


# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)

.PHONY: help Makefile

cleanall: 
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
	-rm source/examples/generated/*
	-rm -rf source/examples/notebooks/generated/*
	-rm -rf ../tools/hash_dict.pickle
	-rm -rf source/datasets/generated/*

notebooks:
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --execute=True --allow_errors=True

html:
    # make directories for images
	@echo "Make static directory for images"
	mkdir -p $(BUILDDIR)/html/_static
	# generate the examples rst files
	@echo "Generating reST from examples folder"
	#$(TOOLSPATH)$(EXAMPLEBUILD)
	@echo "Generating datasets from installed statsmodels.datasets"
	$(TOOLSPATH)$(DATASETBUILD)
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --parallel --report-errors --skip-existing
	@echo "Running sphinx-build"
	@echo @$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
	@echo "Copying rendered example notebooks"
	mkdir -p $(BUILDDIR)/html/examples/notebooks/generated
	cp source/examples/notebooks/generated/*html $(BUILDDIR)/html/examples/notebooks/generated
	@echo $(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
	@echo $(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)

=== debian/changelog ===
statsmodels (0.10.1-4) experimental; urgency=medium

  * Xfail another actual failure
    and a few other similar tests as #924036.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 22:31:23 +0000

statsmodels (0.10.1-3) experimental; urgency=medium

  * Xfail another (intermittent?) instance of #924036.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 09:51:35 +0000

statsmodels (0.10.1-2) experimental; urgency=medium

  * Fail the build on test failures.
  * Xfail or loosen tolerances on some tests.
    Together, the above Closes: #944054.
  * Use correct Python version for test_lazy_imports.
  * Xfail more tests affected by #924036.
  * Documentation build: fix errors loading pre-cached data,
    load autosummary.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Nov 2019 22:27:02 +0000

statsmodels (0.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this might be an API break
    (see #931540).
  * Simplify gbp.conf, import both tarball and upstream git,
    and document this in README.source.
  * Drop patches no longer needed, refresh others.
  * Don't map r-cran-cardata to car: upstream now use the new name.
  * Drop Python 2 packages (see #934870).
  * Use Python 3 shebangs.
  * Don't use setup.py clean, as upstream have disabled it.
  * Use http(s)_proxy instead of a patch to block test downloads.
  * Run build-time tests with the paths they expect.
  * Update d/copyright.
  * Don't install setup.cfg.
  * Don't write to the source tree during tests.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Reproducibility: fix date replacement bug, use UTC time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Nov 2019 16:56:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: statsmodels
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,
@@ -41,7 +40,7 @@
 # for the comparing-with-R examples, and example datasets
                      r-base-core <!nodoc>,
                      python3-rpy2 <!nodoc>,
-                     r-cran-cardata <!nodoc> | r-cran-car (<< 3.0~) <!nodoc>,
+                     r-cran-cardata <!nodoc>,
                      r-cran-geepack <!nodoc>,
                      r-cran-guerry <!nodoc>,
                      r-cran-lme4 <!nodoc>,
@@ -49,7 +48,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,13 @@
 export HOME=$(CURDIR)/build
 export MPLCONFIGDIR=$(HOME)
 
+#block internet access
+export http_proxy=127.0.0.1:9
+export https_proxy=127.0.0.1:9
+
 export PY3VER=$(shell py3versions -vd)
-SOURCE_DATE:=$(shell date -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
-SOURCE_TIME:=$(shell date -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
+SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
+SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
 
 export PYBUILD_NAME=statsmodels
 export PYBUILD_INSTALL_ARGS=--install-layout=deb
@@ -38,7 +42,6 @@
 	mkdir -p build/html
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 debian/datasets/prepopulate_cache.py
-	http_proxy=127.0.0.1:9 \
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 	BUILDDIR=$(CURDIR)/build \
 	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
@@ -55,7 +58,7 @@
 	: # replace timestamps and build paths in examples output for reproducibility
 	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
-	    -e 's#\(Date:.*\)[A-Z][a-z]+, +[0-9]+,? +[A-Z][a-z]+,? +[0-9]+#\1$(SOURCE_DATE)#g' \
+	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
 	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
 	done
 endif
@@ -69,27 +72,33 @@
 	done
 
 override_dh_auto_clean:
-	dh_auto_clean
+	# this would try to run setup.py clean, which is an error: dh_auto_clean
 	-rm -rf cythonize.dat \
 	       *.egg-info \
 	       *.png \
-	       build/Rtmp build/datacache \
+	       .pybuild \
+	       .pytest_cache \
+	       build \
 	       docs/build/ \
 	       docs/rehab.table \
 	       docs/salary.table \
 	       docs/source/datasets/generated \
+	       docs/source/examples/notebooks \
+	       docs/source/savefig \
 	       docs/source/dev/generated \
 	       docs/source/datasets/statsmodels.datasets.*.rst \
 	       docs/source/examples/notebooks/generated \
 	       examples/executed \
-	       statsmodels/tsa/statespace/_statespace.pyx \
-	       statsmodels/tsa/regime_switching/_hamilton_filter.pyx \
 	       tools/hash_dict.pickle
+	find . -name __pycache__ -print0 | xargs -0 rm -rf
+	find . -name *.pyx -print0 | sed -e "s/\.pyx/.c/g" | xargs -0 rm -f
+	find . -name *.pyx.in -print0 | sed -e "s/\.pyx\.in/.pyx/g" | xargs -0 rm -f
 	: # Remove autogenerated version.py
 	rm -f statsmodels/version.py
 
 override_dh_install:
 	dh_install
+	rm -f debian/*/usr/setup.cfg
 	: # Remove compiled due to testing files
 	find debian -name *.pyc -delete
 	rm -f debian/*/usr/lib/*/dist-packages/enet_poisson.csv debian/*/usr/lib/*/dist-packages/enet_binomial.csv
@@ -97,6 +106,19 @@
 	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
 	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f
 
+# statsmodels has a conftest.py that uses testroot-only features, so the tests must be run from the statsmodels directory, not its parent
+# https://github.com/statsmodels/statsmodels/issues/5108
+# the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
+# the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
+# TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
+	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
+	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
+	rm -rf $${testpath}/.pytest_cache ; \
+	done ; done ; $${TEST_SUCCESS}
+endif
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:

## statsmodels 0.10.2

=== debian/changelog ===
statsmodels (0.10.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:47:20 +0100

statsmodels (0.10.2-2) unstable; urgency=medium

  * Docs: don't fail the build on no-network exceptions.  Closes: #950087.
  * Remove #945501 cleanup code: not worth the risk in (future) stable.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Include offset and exposure in GEE fittedvalues (upstream bug 5253).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2020 22:29:29 +0000

statsmodels (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream, refresh others.
  * Use symlink_to_dir for documentation move,
    and clean up old files.  Closes: #945501.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 03 Dec 2019 21:23:04 +0000

statsmodels (0.10.1-5) unstable; urgency=medium

  * No-change upload to unstable.  Closes: #934870, #931540.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Nov 2019 16:32:41 +0000

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git

## statsmodels 0.11.1

=== requirements.txt ===
numpy>=1.14
scipy>=1.0
pandas>=0.21
patsy>=0.5.1

=== docs/Makefile ===
--- 
+++ 
@@ -11,9 +11,7 @@
 PAPER         =
 TOOLSPATH	  = ../tools/
 DATASETBUILD  = dataset_rst.py
-EXAMPLEBUILD  = examples_rst.py
 NOTEBOOKBUILD = nbgenerate.py
-FOLDTOC  = fold_toc.py
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -43,22 +41,14 @@
 	@echo "Make static directory for images"
 	mkdir -p $(BUILDDIR)/html/_static
 	# generate the examples rst files
-	@echo "Generating reST from examples folder"
-	#$(TOOLSPATH)$(EXAMPLEBUILD)
 	@echo "Generating datasets from installed statsmodels.datasets"
 	$(TOOLSPATH)$(DATASETBUILD)
-	@echo "Generating notebooks from examples/notebooks folder"
-	$(TOOLSPATH)$(NOTEBOOKBUILD) --parallel --report-errors --skip-existing
+	@echo "Executing notebooks from examples/notebooks folder"
+	mkdir -p $(BUILDDIR)/source/examples/notebooks/generated
+	$(TOOLSPATH)$(NOTEBOOKBUILD) --parallel --report-errors --skip-existing --execute-only
 	@echo "Running sphinx-build"
 	@echo @$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
-	@echo "Copying rendered example notebooks"
-	mkdir -p $(BUILDDIR)/html/examples/notebooks/generated
-	cp source/examples/notebooks/generated/*html $(BUILDDIR)/html/examples/notebooks/generated
-	@echo $(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
-	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
-	@echo $(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
-	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/changelog ===
statsmodels (0.11.1-1) unstable; urgency=medium

  * Upstream bugfix release.
  * Drop patches applied upstream, refresh others.
  * Don't require a warning scipy only produces on some architectures.
  * Warn that Markov(Auto)regression can give wrong answers on armhf
    and DynamicFactor on ppc64el, and xfail tests.
  * Upload to unstable.  Closes: #950429.
  * Re-enable checking the test suite.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 24 Feb 2020 22:49:06 +0000

statsmodels (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this is an API break (see #950429).
  * Drop patches applied upstream, refresh others.
  * Update and sort dependencies.
  * Docs: use nature theme because we don't have sphinx_material,
    remove obsolete GLMNotes,
    don't skip unrunnable examples.
  * Update and sort d/copyright.
  * Fix some test failures (that were not real problems).
  * Use local requirejs.
  * Fix spelling and whitespace.
  * Reproducibility: remove more build paths.
  * Loosen tolerance on another flaky test.
  * Temporarily ignore the test suite to get a first build.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 02 Feb 2020 21:51:06 +0000

=== debian/control ===
--- 
+++ 
@@ -12,29 +12,31 @@
                cython3,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
+               python3-cvxopt <!nocheck> <!nodoc>,
                python3-dateutil <!nocheck> <!nodoc>,
-               python3-cvxopt <!nocheck> <!nodoc>,
+               python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
-               python3-nose <!nocheck>,
+               python3-pandas,
+               python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
-               python3-pandas,
-               python3-patsy <!nocheck> <!nodoc>,
                python3-scipy,
                python3-setuptools,
-               python3-tk <!nocheck> <!nodoc>,
-               python3-joblib <!nocheck> <!nodoc>
-Build-Depends-Indep: ipython3 (>= 5~) <!nodoc> | ipython3-notebook <!nodoc>,
+               python3-tk <!nocheck> <!nodoc>
+Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
-                     python3-jupyter-client <!nodoc>,
-                     python3-ipykernel <!nodoc>,
+                     python3-nbsphinx <!nodoc>,
+                     python3-notebook <!nodoc>,
                      python3-numpydoc <!nodoc>,
+                     python3-seaborn <!nodoc>,
+                     python3-simplegeneric <!nodoc>,
                      python3-sphinx <!nodoc>,
-                     python3-traitlets <!nodoc> | ipython3-notebook <!nodoc>,
+                     python3-yaml <!nodoc>,
                      jdupes <!nodoc>,
 # for intersphinx inventories
+                     python-matplotlib-doc <!nodoc>,
                      python-numpy-doc <!nodoc>,
-                     python-patsy-doc <!nodoc>,
+                     python-scipy-doc <!nodoc>,
                      python-pandas-doc <!nodoc>,
                      python3-doc <!nodoc>,
 # for the comparing-with-R examples, and example datasets
@@ -91,7 +93,7 @@
          python3-numpy,
          python3-scipy,
          python3-statsmodels-lib (>= ${source:Version}),
-         python3-patsy,
+         python3-patsy (>= 0.5.1),
          python3-pandas
 Recommends: python3-matplotlib,
             python3-joblib,

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	grep -l '/jquery/' -R build/html/examples/notebooks \
 	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/jquery/.*/jquery.min.js,file:///usr/share/javascript/jquery/jquery.min.js,g'
 	: # replace timestamps and build paths in examples output for reproducibility
-	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
+	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb" -o -name "*.ipynb.txt"` ; do \
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
 	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
 	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; $py -m pytest -v /usr/lib/python3/dist-packages/statsmodels
 ; done
Depends: python3-all, python3-statsmodels, python3-nose, python3-pytest
Restrictions: allow-stderr

## statsmodels 0.12.0

=== debian/changelog ===
statsmodels (0.12.0-2build2) hirsute; urgency=medium

  * Don't run tests for a first 3.9 build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 08:28:11 +0100

statsmodels (0.12.0-2) unstable; urgency=medium

  * Loosen some test tolerances on i386.
  * Require scipy >= 1.5 to avoid autopkgtest failure.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 11 Sep 2020 07:24:40 +0100

statsmodels (0.12.0-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Update d/copyright.
  * Stop using pytest-forked everywhere: it doesn't fully
    handle conditional xfails.
  * Skip slow autopkgtests on non-amd64.
  * On armel, warn on import and ignore all tests (see #968210).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 08 Sep 2020 18:35:08 +0100

statsmodels (0.11.1-5) unstable; urgency=medium

  * Ignore test failures on arm* (see #968210).
  * Use pytest-forked in case there are more crashing tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 19:00:44 +0100

statsmodels (0.11.1-4) unstable; urgency=medium

  * Tests: ignore changes due to matplotlib 3.3 and scipy 1.5.
    Closes: #966712.
  * Bump debhelper compat to 13.
  * Override Lintian warning from test references.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Aug 2020 22:12:11 +0100

statsmodels (0.11.1-3) unstable; urgency=medium

  * Tests: ignore harmless new warnings.  Closes: #964700.
  * Add matplotlib etc to autopkgtest Depends to skip fewer tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 10 Jul 2020 06:46:36 +0100

statsmodels (0.11.1-2) unstable; urgency=medium

  * Tests: don't require a numpy warning that doesn't exist on armel.
    Closes: #956882.
  * Tests: allow no-multiprocessing failures (hurd-i386).
  * Remove inconveniently licensed (CC-BY-SA) snippet.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 24 Apr 2020 15:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
                cython3,
@@ -17,9 +17,10 @@
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
-               python3-pandas,
+               python3-pandas (>= 1.1.3),
                python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
+               python3-pytest-forked <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-tk <!nocheck> <!nodoc>
@@ -91,7 +92,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-numpy,
-         python3-scipy,
+# upstream say >1.2 but the amd64 autopkgtest failure happens with 1.4 not 1.5
+# maybe the real problem is what scipy was built with
+         python3-scipy (>= 1.5~),
          python3-statsmodels-lib (>= ${source:Version}),
          python3-patsy (>= 0.5.1),
          python3-pandas

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+DEB_BUILD_OPTIONS := $(DEB_BUILD_OPTIONS) nocheck
 
 # override HOME (for weave) and matplotlib config directory
 # to allow building in chroots with read-only HOME
@@ -111,13 +113,14 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
+# Tests are ignored (and expected to crash) on armel, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; $${TEST_SUCCESS}
+	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data

## statsmodels 0.12.1

=== debian/changelog ===
statsmodels (0.12.1-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Loosen tolerance in TestHoltWinters.test_holt_damp_fit

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Feb 2021 06:11:05 +0000

statsmodels (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scipy_1.6_test_bytestring.patch uses string rather
    than bytes in expected message with scipy 1.6 in test_arma_kwargs
    (test_gls.py)
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 01:02:15 +1100

statsmodels (0.12.1-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:22:22 +0100

statsmodels (0.12.1-1ubuntu1) hirsute; urgency=medium

  * Loosen tolerance in TestHoltWinters.test_holt_damp_fit

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 07 Nov 2020 11:34:25 +0000

statsmodels (0.12.1-1) unstable; urgency=medium

  * Upstream bugfix release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 05 Nov 2020 07:28:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: statsmodels
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,
@@ -17,7 +18,7 @@
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
-               python3-pandas (>= 1.1.3),
+               python3-pandas,
                python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-forked <!nocheck>,
@@ -51,7 +52,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
